<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'Login';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['distributor'] = 'Masters/View_distributor';
$route['add-distributor'] = 'Masters/Add_distributor';
$route['edit-distributor'] = 'Masters/Edit_distributor';

$route['vendor'] = 'Masters/Vendor';
$route['add-vendor'] = 'Masters/Add_vendor';
$route['edit-vendor'] = 'Masters/Edit_vendor';



$route['Banner'] = 'Api/Banner';

$route['features'] = 'Masters/Features';
$route['catalogue'] = 'Masters/catalogue';
$route['add-features'] = 'Masters/Add_features';

$route['membership'] = 'Masters/Membership';
$route['order_list'] = 'Masters/Order';
$route['user_list'] = 'Masters/users';
$route['retailer_list'] = 'Masters/retailer_list';
$route['distributor_list'] = 'Masters/distributor_list';
$route['plumber_list'] = 'Masters/plumber_list';


$route['color'] = 'Masters/Color';
$route['add-color'] = 'Masters/Add_color';
$route['category'] = 'Masters/Category';
$route['add-category'] = 'Masters/Add_category';

$route['product'] = 'Product/product';
$route['view_product'] = 'Product/view_product';
$route['production'] = 'Product/production';
$route['add-product'] = 'Masters/Add_product';
$route['order_list'] = 'Masters/order_list';
$route['pending_order'] = 'Masters/pending_order';
