 <!-- Content Wrapper. Contains page content -->

  <div class="content-wrapper">

	  <div class="container-full">

		<!-- Content Header (Page header) -->

		<div class="content-header">

			<div class="d-flex align-items-center">

				<div class="me-auto">

					<h3 class="page-title">Form Validation</h3>

					<div class="d-inline-block align-items-center">

						<nav>

							<ol class="breadcrumb">

								<li class="breadcrumb-item"><a href="#"><i class="mdi mdi-home-outline"></i></a></li>

								<li class="breadcrumb-item" aria-current="page">Forms</li>

								<li class="breadcrumb-item active" aria-current="page">Form Validation</li>

							</ol>

						</nav>

					</div>

				</div>

				

			</div>

		</div>	  



		<!-- Main content -->

		<section class="content">



		 <!-- Basic Forms -->

		  <div class="box">

			<div class="box-header with-border">

			  <h4 class="box-title">Form Validation</h4>

			  <h6 class="box-subtitle">Bootstrap Form Validation check the <a class="text-warning" href="http://reactiveraven.github.io/jqBootstrapValidation/">official website </a></h6>

			</div>

			<!-- /.box-header -->

			<div class="box-body">

			  <div class="row">

				<div class="col">

					<form novalidate>

					  <div class="row">

						<div class="col-12">						

							<div class="form-group">

								<h5>Basic Text Input <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" name="text" class="form-control" required data-validation-required-message="This field is required"> 

								</div>

								<div class="form-control-feedback"><small>Add <code>required</code> attribute to field for required validation.</small></div>

							</div>

							<div class="form-group">

								<h5>Email Field <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="email" name="email" class="form-control" required data-validation-required-message="This field is required"> 

								</div>

							</div>

							<div class="form-group">

								<h5>Password Input Field <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="password" name="password" class="form-control" required data-validation-required-message="This field is required"> 

								</div>

							</div>

							<div class="form-group">

								<h5>Repeat Password Input Field <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="password" name="password2" data-validation-match-match="password" class="form-control" required> 

								</div>

							</div>

							<div class="form-group">

								<h5>File Input Field <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="file" name="file" class="form-control" required> 

								</div>

							</div>

							<div class="form-group">

								<h5>Input with Icon <span class="text-danger">*</span></h5>

								<div class="controls">

									<div class="input-group">

										<input type="text" class="form-control" placeholder="Addon To Right" data-validation-required-message="This field is required"> 

										<span class="input-group-addon" id="basic-addon1"><i class="fa fa-dollar"></i></span> 

									</div>

								</div>

							</div>

							<div class="form-group">

								<h5>Maximum Character Length <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" name="maxChar" class="form-control" required data-validation-required-message="This field is required" maxlength="10">

								</div>

								<div class="form-control-feedback"><small>Add <code>maxlength='10'</code> attribute for maximum number of characters to accept. </small></div>

							</div>

							<div class="form-group">

								<h5>Minimum Character Length <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" name="minChar" class="form-control" required data-validation-required-message="This field is required" minlength="6">

								</div>

								<div class="form-control-feedback"><small>Add <code>minlength="6"</code> attribute for minimum number of characters to accept.</small></div>

							</div>

							<div class="form-group">

								<h5>Only Numbers <span class="text-danger">*</span></h5>

								<div class="input-group"> <span class="input-group-addon">$</span>

									<input type="number" name="onlyNum" class="form-control" required data-validation-required-message="This field is required"> <span class="input-group-addon">.00</span> 

								</div>

							</div>

							<div class="form-group">

								<h5>Maximum Number <span class="text-danger">*</span></h5>

								<input type="number" name="maxNum" class="form-control" required data-validation-required-message="This field is required" max="25">

								<div class="form-control-feedback"> 

									<small><i>Must be lower than 25</i></small> - <small>Add <code>max</code> attribute for maximum number to accept. Also use 	<code>data-validation-max-message</code> attribute for max failure message</small> 

								</div>

							</div>

						</div>

						<div class="col-12">

							<div class="form-group">

								<h5>Minimum Number <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="number" name="minNum" class="form-control" required data-validation-required-message="This field is required" min="10">

								</div>

								<div class="form-control-feedback">

									<small><i>Must be higher than 10</i></small> - <small>Add <code>min</code> attribute for minimum number to accept. Also use <code>data-validation-min-message</code> attribute for min failure message</small>

								</div>

							</div>

							<div class="form-group">

								<h5>Text Input Range <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" name="text" class="form-control" required data-validation-required-message="This field is required" minlength="10" maxlength="20" placeholder="Enter number between 10 &amp; 20"> 

								</div>

							</div>

							<div class="form-group">

								<h5>Input with Button <span class="text-danger">*</span></h5>

								<div class="controls">

									<div class="input-group">

										<input type="text" class="form-control" placeholder="Search" required> 

										<button class="btn btn-info btn-sm" type="button">Go!</button> 

									</div>

								</div>

							</div>

							<div class="form-group">

								<h5>No Characters, Only Numbers <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" name="noChar" class="form-control" required data-validation-containsnumber-regex="(\d)+" data-validation-containsnumber-message="No Characters Allowed, Only Numbers"> 

								</div>

							</div>

							<div class="form-group">

								<h5>Pattern <span class="text-danger">*</span> <small><i>Must start with 'a' and end with 'z'</i></small></h5>

								<div class="controls">

									<input type="text" name="pattern" pattern="a.*z" data-validation-pattern-message="Must start with 'a' and end with 'z'" class="form-control" required>

									<div class="form-control-feedback">

										<small>Add <code>pattern</code> attribute to set input pattern. Also use <code>data-validation-pattern-message</code> attribute for pattern failure message</small>

									</div>

								</div>

							</div>

							<div class="form-group">

								<h5>Enter URL <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" class="form-control" placeholder="Add URL" data-validation-regex-regex="((http[s]?|ftp[s]?):\/\/)?([\da-z\.-]+)\.([a-z\.]{2,6})([\/\w \.-]*)*" data-validation-regex-message="Only Valid URL's">

									<div class="form-control-feedback">

										<small>Add <code>data-validation-regex-regex</code> attribute for regular expression. Also use <code>data-validation-regex-message</code> attribute for regex failure message</small>

									</div>

								</div>

							</div>

							<div class="form-group">

								<h5>Enter Email Address <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="text" class="form-control" placeholder="Email Address" data-validation-regex-regex="([a-z0-9_\.-]+)@([\da-z\.-]+)\.([a-z\.]{2,6})" data-validation-regex-message="Enter Valid Email"> 

								</div>

							</div>

							<div class="form-group">

								<h5>Enter Date <span class="text-danger">*</span></h5>

								<div class="controls">

									<input type="date" name="date" class="form-control" required data-validation-required-message="This field is required"> </div>

								<div class="form-control-feedback">

									<small>Add <code>required</code> attribute to field for required validation.</small>

								</div>



							</div>

							<div class="form-group">

								<h5>Basic Select <span class="text-danger">*</span></h5>

								<div class="controls">

									<select name="select" id="select" required class="form-select">

										<option value="">Select Your City</option>

										<option value="1">India</option>

										<option value="2">USA</option>

										<option value="3">UK</option>

										<option value="4">Canada</option>

										<option value="5">Dubai</option>

									</select>

								</div>

							</div>

							<div class="form-group">

								<h5>Textarea <span class="text-danger">*</span></h5>

								<div class="controls">

									<textarea name="textarea" id="textarea" class="form-control" required placeholder="Textarea text"></textarea>

								</div>

							</div>

						</div>

					  </div>

						<div class="row">

							<div class="col-md-6">

								<div class="form-group">

									<h5>Checkbox <span class="text-danger">*</span></h5>

									<div class="controls">

										<input type="checkbox" id="checkbox_1" value="single">

										<label for="checkbox_1">Check this custom checkbox</label>

									</div>								

								</div>

							</div>

							<div class="col-md-6">

								<div class="form-group">

									<h5>Checkbox Group <span class="text-danger">*</span></h5>

									<div class="controls">

										<fieldset>

											<input type="checkbox" id="checkbox_2" value="x">

											<label for="checkbox_2">I am unchecked Checkbox</label>

										</fieldset>

										<fieldset>

											<input type="checkbox" id="checkbox_3" value="y">

											<label for="checkbox_3">I am unchecked too</label>

										</fieldset>

									</div>

								</div>

							</div>

						</div>

						<div class="row">

							<div class="col-md-6">

								<div class="form-group">

									<h5>Select Max 2 Checkbox<span class="text-danger">*</span></h5>

									<div class="controls">

										<fieldset>

											<input type="checkbox" id="checkbox_4" data-validation-maxchecked-maxchecked="2" data-validation-maxchecked-message="Don't be greedy!">

											<label for="checkbox_4">I am unchecked Checkbox</label>

										</fieldset>

										<fieldset>

											<input type="checkbox" id="checkbox_5" data-validation-maxchecked-maxchecked="2" data-validation-maxchecked-message="Don't be greedy!">

											<label for="checkbox_5">I am unchecked too</label>

										</fieldset>

										<fieldset>

											<input type="checkbox" id="checkbox_6" data-validation-maxchecked-maxchecked="2" data-validation-maxchecked-message="Don't be greedy!">

											<label for="checkbox_6">You can check me</label>

										</fieldset>

									</div> 

									<small>Select any 2 options</small> 

								</div>

							</div>

							<div class="col-md-6">

								<div class="form-group">

									<h5>Minimum 2 Checkbox selection<span class="text-danger">*</span></h5>

									<div class="controls">

										<fieldset>

											<input type="checkbox" id="checkbox_7" value="1" data-validation-minchecked-minchecked="2" data-validation-minchecked-message="Choose at least two" name="styled_min_checkbox">

											<label for="checkbox_7">I am unchecked Checkbox</label>

										</fieldset>

										<fieldset>

											<input type="checkbox" id="checkbox_8" value="2" data-validation-minchecked-minchecked="2" data-validation-minchecked-message="Choose at least two" name="styled_min_checkbox">

											<label for="checkbox_8">I am unchecked too</label>

										</fieldset>

										<fieldset>

											<input type="checkbox" id="checkbox_9" value="3" data-validation-minchecked-minchecked="2" data-validation-minchecked-message="Choose at least two" name="styled_min_checkbox">

											<label for="checkbox_9">You can check me</label>

										</fieldset>

									</div> 

									<small>Select any 2 options</small> 

								</div>

							</div>

						</div>

						<div class="row">

							<div class="col-md-6">

								<div class="form-group">

									<h5>Radio Buttons <span class="text-danger">*</span></h5>

									<fieldset class="controls">

										<input name="group1" type="radio" id="radio_1" value="1" required>

										<label for="radio_1">Check Me</label>

									</fieldset>

									<fieldset>

										<input name="group1" type="radio" id="radio_2" value="2">

										<label for="radio_2">Or Me</label>									

									</fieldset>

								</div>

							</div>

							<div class="col-md-6">

								<div class="form-group">

									<h5>Inline Radio Buttons <span class="text-danger">*</span></h5>

									<div class="controls">

										<fieldset>

											<input name="group2" type="radio" id="radio_3" value="Yes" required>

											<label for="radio_3">Check Me</label>

										</fieldset>

										<fieldset>

											<input name="group2" type="radio" id="radio_4" value="No">

											<label for="radio_4">Or Me</label>

										</fieldset>

									</div>

								</div>

							</div>

						</div>

						<div class="text-xs-right">

							<button type="submit" class="btn btn-info">Submit</button>

						</div>

					</form>



				</div>

				<!-- /.col -->

			  </div>

			  <!-- /.row -->

			</div>

			<!-- /.box-body -->

		  </div>

		  <!-- /.box -->



		 <div class="box">

				<div class="box-header with-border">

				  <h3 class="box-title">Data Table With Full Features</h3>

				</div>

				<!-- /.box-header -->

				<div class="box-body">

					<div class="table-responsive">

					  <table id="example1" class="table table-bordered table-striped">

						<thead>

							<tr>

								<th>Name</th>

								<th>Position</th>

								<th>Office</th>

								<th>Age</th>

								<th>Start date</th>

								<th>Salary</th>

							</tr>

						</thead>

						<tbody>

							<tr>

								<td>Tiger Nixon</td>

								<td>System Architect</td>

								<td>Edinburgh</td>

								<td>61</td>

								<td>2011/04/25</td>

								<td>$320,800</td>

							</tr>

							<tr>

								<td>Garrett Winters</td>

								<td>Accountant</td>

								<td>Tokyo</td>

								<td>63</td>

								<td>2011/07/25</td>

								<td>$170,750</td>

							</tr>

							<tr>

								<td>Ashton Cox</td>

								<td>Junior Technical Author</td>

								<td>San Francisco</td>

								<td>66</td>

								<td>2009/01/12</td>

								<td>$86,000</td>

							</tr>

							<tr>

								<td>Cedric Kelly</td>

								<td>Senior Javascript Developer</td>

								<td>Edinburgh</td>

								<td>22</td>

								<td>2012/03/29</td>

								<td>$433,060</td>

							</tr>

							<tr>

								<td>Airi Satou</td>

								<td>Accountant</td>

								<td>Tokyo</td>

								<td>33</td>

								<td>2008/11/28</td>

								<td>$162,700</td>

							</tr>

							<tr>

								<td>Brielle Williamson</td>

								<td>Integration Specialist</td>

								<td>New York</td>

								<td>61</td>

								<td>2012/12/02</td>

								<td>$372,000</td>

							</tr>

							<tr>

								<td>Herrod Chandler</td>

								<td>Sales Assistant</td>

								<td>San Francisco</td>

								<td>59</td>

								<td>2012/08/06</td>

								<td>$137,500</td>

							</tr>

							<tr>

								<td>Rhona Davidson</td>

								<td>Integration Specialist</td>

								<td>Tokyo</td>

								<td>55</td>

								<td>2010/10/14</td>

								<td>$327,900</td>

							</tr>

							<tr>

								<td>Colleen Hurst</td>

								<td>Javascript Developer</td>

								<td>San Francisco</td>

								<td>39</td>

								<td>2009/09/15</td>

								<td>$205,500</td>

							</tr>

							<tr>

								<td>Sonya Frost</td>

								<td>Software Engineer</td>

								<td>Edinburgh</td>

								<td>23</td>

								<td>2008/12/13</td>

								<td>$103,600</td>

							</tr>

							<tr>

								<td>Jena Gaines</td>

								<td>Office Manager</td>

								<td>London</td>

								<td>30</td>

								<td>2008/12/19</td>

								<td>$90,560</td>

							</tr>

							<tr>

								<td>Quinn Flynn</td>

								<td>Support Lead</td>

								<td>Edinburgh</td>

								<td>22</td>

								<td>2013/03/03</td>

								<td>$342,000</td>

							</tr>

							<tr>

								<td>Charde Marshall</td>

								<td>Regional Director</td>

								<td>San Francisco</td>

								<td>36</td>

								<td>2008/10/16</td>

								<td>$470,600</td>

							</tr>

							<tr>

								<td>Haley Kennedy</td>

								<td>Senior Marketing Designer</td>

								<td>London</td>

								<td>43</td>

								<td>2012/12/18</td>

								<td>$313,500</td>

							</tr>

							<tr>

								<td>Tatyana Fitzpatrick</td>

								<td>Regional Director</td>

								<td>London</td>

								<td>19</td>

								<td>2010/03/17</td>

								<td>$385,750</td>

							</tr>

							<tr>

								<td>Michael Silva</td>

								<td>Marketing Designer</td>

								<td>London</td>

								<td>66</td>

								<td>2012/11/27</td>

								<td>$198,500</td>

							</tr>

							<tr>

								<td>Paul Byrd</td>

								<td>Chief Financial Officer (CFO)</td>

								<td>New York</td>

								<td>64</td>

								<td>2010/06/09</td>

								<td>$725,000</td>

							</tr>

							<tr>

								<td>Gloria Little</td>

								<td>Systems Administrator</td>

								<td>New York</td>

								<td>59</td>

								<td>2009/04/10</td>

								<td>$237,500</td>

							</tr>

							<tr>

								<td>Bradley Greer</td>

								<td>Software Engineer</td>

								<td>London</td>

								<td>41</td>

								<td>2012/10/13</td>

								<td>$132,000</td>

							</tr>

							<tr>

								<td>Dai Rios</td>

								<td>Personnel Lead</td>

								<td>Edinburgh</td>

								<td>35</td>

								<td>2012/09/26</td>

								<td>$217,500</td>

							</tr>

							<tr>

								<td>Jenette Caldwell</td>

								<td>Development Lead</td>

								<td>New York</td>

								<td>30</td>

								<td>2011/09/03</td>

								<td>$345,000</td>

							</tr>

							<tr>

								<td>Yuri Berry</td>

								<td>Chief Marketing Officer (CMO)</td>

								<td>New York</td>

								<td>40</td>

								<td>2009/06/25</td>

								<td>$675,000</td>

							</tr>

							<tr>

								<td>Caesar Vance</td>

								<td>Pre-Sales Support</td>

								<td>New York</td>

								<td>21</td>

								<td>2011/12/12</td>

								<td>$106,450</td>

							</tr>

							<tr>

								<td>Doris Wilder</td>

								<td>Sales Assistant</td>

								<td>Sidney</td>

								<td>23</td>

								<td>2010/09/20</td>

								<td>$85,600</td>

							</tr>

							<tr>

								<td>Angelica Ramos</td>

								<td>Chief Executive Officer (CEO)</td>

								<td>London</td>

								<td>47</td>

								<td>2009/10/09</td>

								<td>$1,200,000</td>

							</tr>

							<tr>

								<td>Gavin Joyce</td>

								<td>Developer</td>

								<td>Edinburgh</td>

								<td>42</td>

								<td>2010/12/22</td>

								<td>$92,575</td>

							</tr>

							<tr>

								<td>Jennifer Chang</td>

								<td>Regional Director</td>

								<td>Singapore</td>

								<td>28</td>

								<td>2010/11/14</td>

								<td>$357,650</td>

							</tr>

							<tr>

								<td>Brenden Wagner</td>

								<td>Software Engineer</td>

								<td>San Francisco</td>

								<td>28</td>

								<td>2011/06/07</td>

								<td>$206,850</td>

							</tr>

							<tr>

								<td>Fiona Green</td>

								<td>Chief Operating Officer (COO)</td>

								<td>San Francisco</td>

								<td>48</td>

								<td>2010/03/11</td>

								<td>$850,000</td>

							</tr>

							<tr>

								<td>Shou Itou</td>

								<td>Regional Marketing</td>

								<td>Tokyo</td>

								<td>20</td>

								<td>2011/08/14</td>

								<td>$163,000</td>

							</tr>

							<tr>

								<td>Michelle House</td>

								<td>Integration Specialist</td>

								<td>Sidney</td>

								<td>37</td>

								<td>2011/06/02</td>

								<td>$95,400</td>

							</tr>

							<tr>

								<td>Suki Burks</td>

								<td>Developer</td>

								<td>London</td>

								<td>53</td>

								<td>2009/10/22</td>

								<td>$114,500</td>

							</tr>

							<tr>

								<td>Prescott Bartlett</td>

								<td>Technical Author</td>

								<td>London</td>

								<td>27</td>

								<td>2011/05/07</td>

								<td>$145,000</td>

							</tr>

							<tr>

								<td>Gavin Cortez</td>

								<td>Team Leader</td>

								<td>San Francisco</td>

								<td>22</td>

								<td>2008/10/26</td>

								<td>$235,500</td>

							</tr>

							<tr>

								<td>Martena Mccray</td>

								<td>Post-Sales support</td>

								<td>Edinburgh</td>

								<td>46</td>

								<td>2011/03/09</td>

								<td>$324,050</td>

							</tr>

							<tr>

								<td>Unity Butler</td>

								<td>Marketing Designer</td>

								<td>San Francisco</td>

								<td>47</td>

								<td>2009/12/09</td>

								<td>$85,675</td>

							</tr>

							<tr>

								<td>Howard Hatfield</td>

								<td>Office Manager</td>

								<td>San Francisco</td>

								<td>51</td>

								<td>2008/12/16</td>

								<td>$164,500</td>

							</tr>

							<tr>

								<td>Hope Fuentes</td>

								<td>Secretary</td>

								<td>San Francisco</td>



								<td>41</td>

								<td>2010/02/12</td>

								<td>$109,850</td>

							</tr>

							<tr>

								<td>Vivian Harrell</td>

								<td>Financial Controller</td>

								<td>San Francisco</td>

								<td>62</td>

								<td>2009/02/14</td>

								<td>$452,500</td>

							</tr>

							<tr>

								<td>Timothy Mooney</td>

								<td>Office Manager</td>

								<td>London</td>

								<td>37</td>

								<td>2008/12/11</td>

								<td>$136,200</td>

							</tr>

							<tr>

								<td>Jackson Bradshaw</td>

								<td>Director</td>

								<td>New York</td>

								<td>65</td>

								<td>2008/09/26</td>

								<td>$645,750</td>

							</tr>

							<tr>

								<td>Olivia Liang</td>

								<td>Support Engineer</td>

								<td>Singapore</td>

								<td>64</td>

								<td>2011/02/03</td>

								<td>$234,500</td>

							</tr>

							<tr>

								<td>Bruno Nash</td>

								<td>Software Engineer</td>

								<td>London</td>

								<td>38</td>

								<td>2011/05/03</td>

								<td>$163,500</td>

							</tr>

							<tr>

								<td>Sakura Yamamoto</td>

								<td>Support Engineer</td>

								<td>Tokyo</td>

								<td>37</td>

								<td>2009/08/19</td>

								<td>$139,575</td>

							</tr>

							<tr>

								<td>Thor Walton</td>

								<td>Developer</td>

								<td>New York</td>

								<td>61</td>

								<td>2013/08/11</td>

								<td>$98,540</td>

							</tr>

							<tr>

								<td>Finn Camacho</td>

								<td>Support Engineer</td>

								<td>San Francisco</td>

								<td>47</td>

								<td>2009/07/07</td>

								<td>$87,500</td>

							</tr>

							<tr>

								<td>Serge Baldwin</td>

								<td>Data Coordinator</td>

								<td>Singapore</td>

								<td>64</td>

								<td>2012/04/09</td>

								<td>$138,575</td>

							</tr>

							<tr>

								<td>Zenaida Frank</td>

								<td>Software Engineer</td>

								<td>New York</td>

								<td>63</td>

								<td>2010/01/04</td>

								<td>$125,250</td>

							</tr>

							<tr>

								<td>Zorita Serrano</td>

								<td>Software Engineer</td>

								<td>San Francisco</td>

								<td>56</td>

								<td>2012/06/01</td>

								<td>$115,000</td>

							</tr>

							<tr>

								<td>Jennifer Acosta</td>

								<td>Junior Javascript Developer</td>

								<td>Edinburgh</td>

								<td>43</td>

								<td>2013/02/01</td>

								<td>$75,650</td>

							</tr>

							<tr>

								<td>Cara Stevens</td>

								<td>Sales Assistant</td>

								<td>New York</td>

								<td>46</td>

								<td>2011/12/06</td>

								<td>$145,600</td>

							</tr>

							<tr>

								<td>Hermione Butler</td>

								<td>Regional Director</td>

								<td>London</td>

								<td>47</td>

								<td>2011/03/21</td>

								<td>$356,250</td>

							</tr>

							<tr>

								<td>Lael Greer</td>

								<td>Systems Administrator</td>

								<td>London</td>

								<td>21</td>

								<td>2009/02/27</td>

								<td>$103,500</td>

							</tr>

							<tr>

								<td>Jonas Alexander</td>

								<td>Developer</td>

								<td>San Francisco</td>

								<td>30</td>

								<td>2010/07/14</td>

								<td>$86,500</td>

							</tr>

							<tr>

								<td>Shad Decker</td>

								<td>Regional Director</td>

								<td>Edinburgh</td>

								<td>51</td>

								<td>2008/11/13</td>

								<td>$183,000</td>

							</tr>

							<tr>

								<td>Michael Bruce</td>

								<td>Javascript Developer</td>

								<td>Singapore</td>

								<td>29</td>

								<td>2011/06/27</td>

								<td>$183,000</td>

							</tr>

							<tr>

								<td>Donna Snider</td>

								<td>Customer Support</td>

								<td>New York</td>

								<td>27</td>

								<td>2011/01/25</td>

								<td>$112,000</td>

							</tr>

						</tbody>

						<tfoot>

							<tr>

								<th>Name</th>

								<th>Position</th>

								<th>Office</th>

								<th>Age</th>

								<th>Start date</th>

								<th>Salary</th>

							</tr>

						</tfoot>

					  </table>

					</div>

				</div>

				<!-- /.box-body -->

			  </div>

	

		</section>

		<!-- /.content -->

	  </div>

  </div>

  <!-- /.content-wrapper -->

  

 